APROPOS(1) | General Commands Manual | APROPOS(1)

# NAME

`apropos` —
search the complete content of all man pages

# SYNOPSIS

`apropos` | [`-123456789hilMmPpr`] [`-C` path] [`-n` results] [`-S` machine] [`-s` section] query

# DESCRIPTION

The `apropos` utility performs a full text search over the complete content of all man pages. It uses the FTS engine of Sqlite to perform the search. The database is created with the help of the makemandb(8) utility.

This implementation of the `apropos` utility is more sophisticated than the classical version. Like modern search applications, it uses advanced techniques like stemming and term weighting to rank the matching results in decreasing order of relevance.

Quotes are optional for specifying multiword queries.

It supports the following options:

`-[1-9]`
  Search only within the specified section of manual pages.
`-C` path
  Use different man(1) configuration file than the default, /etc/man.conf.
`-h`
  Turn on html formatting.
`-i`
  Turn on terminal escape code formatting.
`-l`
  Legacy mode: Only searches name and name description. Does not print context and turns off formatting.
`-M`
  Do not show the context of the match.
`-m`
  Show the context of the match (default).
`-n` results
  Output up to the specified number of search results. The default limit is infinity.
`-P`
  Turn on pager formatting.
`-p`
  Turn on pager formatting, and pipe the results through a pager (defaulting to more(1)).
`-r`
  Turn off formatting.
`-S` machine
  Limit the search to the pages for the specified machine architecture. By default pages for all architectures are shown in the search results.
`-s` section
  Restrict the search to the specified section of the manual. By default, pages from all sections are shown. This option is for backwards compatibility with the classic version of apropos, using it is equivalent to using the [123456789] options directly.

# FILES

/etc/man.conf
  The location of the Sqlite FTS database can be configured using the `_mandb` tag.

# ENVIRONMENT VARIABLES

The `APROPOS` environment variable is white-space tokenized as an argument vector and the options in it are parsed and set. Command line options override the environment options.

# SEE ALSO

man(1), whatis(1), man.conf(5), makemandb(8)

# HISTORY

The `apropos` command appeared in 3.0BSD. It was rewritten in NetBSD 6.0 to support full text search using Sqlite.

# AUTHORS

Abhinav Upadhyay

June 16, 2016 | NetBSD 9.0